Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.rt.fmt
Class SetLocaleTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.fmt.SetLocaleSupport
              org.apache.taglibs.standard.tag.rt.fmt.SetLocaleTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class SetLocaleTag

extends SetLocaleSupport

A handler for <setLocale> that supports rtexprvalue-based attributes.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.SetLocaleSupport
`value, variant`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetLocaleTag()`

Method Summary
`void` | `setValue(Object value)`
`void` | `setVariant(String variant)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.SetLocaleSupport
`doEndTag, parseLocale, parseLocale, release, setScope`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetLocaleTag

    public SetLocaleTag()

Method Detail

### setValue

    public void setValue(Object value)
                  throws JspTagException

  Throws:
    `JspTagException`

### setVariant

    public void setVariant(String variant)
                    throws JspTagException

  Throws:
    `JspTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.